package com.lightinit.hsdataplatform.model.admin;

import com.lightinit.hsdataplatform.annotation.FieldDescriber;
import org.hibernate.validator.constraints.NotEmpty;

import java.util.LinkedList;
import java.util.List;

/**
 * Created by WangYao on 2018/5/23.
 */
public class ResourceAPIRegisterAddAPIInterfaceModel {

    //接口名称
    @NotEmpty
    @FieldDescriber(descripton = "接口名称")
    private String interfaceName ;

    //接口标识
    private String interfaceIdentity ;

    //接口地址
    private String url ;

    //是否授权
    private Byte isAuth ;

    //请求方式
    private String requestMethod ;

    //返回格式
    private String responseFormat ;

    //请求示例
    private String requestDemo ;

    //返回示例
    private String responseDemo ;

    //备注
    private String remark ;

    //输入参数
    private List<ResourceAPIRegisterAddAPIInterfaceInputModel> interfaceInputModelList ;

    //输出参数
    private List<ResourceAPIRegisterAddAPIInterfaceOutputModel> interfaceOutputModelList ;

    public String getInterfaceName() {
        return interfaceName;
    }

    public void setInterfaceName(String interfaceName) {
        this.interfaceName = interfaceName;
    }

    public String getInterfaceIdentity() {
        return interfaceIdentity;
    }

    public void setInterfaceIdentity(String interfaceIdentity) {
        this.interfaceIdentity = interfaceIdentity;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getRequestMethod() {
        return requestMethod;
    }

    public void setRequestMethod(String requestMethod) {
        this.requestMethod = requestMethod;
    }

    public String getResponseFormat() {
        return responseFormat;
    }

    public void setResponseFormat(String responseFormat) {
        this.responseFormat = responseFormat;
    }

    public String getRequestDemo() {
        return requestDemo;
    }

    public void setRequestDemo(String requestDemo) {
        this.requestDemo = requestDemo;
    }

    public String getResponseDemo() {
        return responseDemo;
    }

    public void setResponseDemo(String responseDemo) {
        this.responseDemo = responseDemo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<ResourceAPIRegisterAddAPIInterfaceInputModel> getInterfaceInputModelList() {
        return interfaceInputModelList;
    }

    public void setInterfaceInputModelList(List<ResourceAPIRegisterAddAPIInterfaceInputModel> interfaceInputModelList) {
        this.interfaceInputModelList = interfaceInputModelList;
    }

    public List<ResourceAPIRegisterAddAPIInterfaceOutputModel> getInterfaceOutputModelList() {
        return interfaceOutputModelList;
    }

    public void setInterfaceOutputModelList(List<ResourceAPIRegisterAddAPIInterfaceOutputModel> interfaceOutputModelList) {
        this.interfaceOutputModelList = interfaceOutputModelList;
    }

    public Byte getIsAuth() {
        return isAuth;
    }

    public void setIsAuth(Byte isAuth) {
        this.isAuth = isAuth;
    }
}
